List Jobs
/unified/ci-cd/jobs
Query Parameters
Refer Specifying query parameters in Truto APIs
The unique identifier for the workspace
2 supported2 required
4 supported4 required4 notes
The unique identifier for build.
The ID of the build.
The unique identifier for the build.
The ID of the build.
2 supported2 required
The build of the job
3 supported1 required
1 supported1 required
1 supported1 required
The slug of the owner on Github.
1 supported1 required
The slug of the repository on Github.
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Jobs
The unique identifier for the job
6 supported
The number of attempts for the job
1 supported
The head branch of the job
1 supported
The build of the job
3 supported
The commit of the job
2 supported
The date and time when the job completed
5 supported
The conclusion of the job - passed, failed, cancelled, timeout, skipped, retried, partial or the raw response from the API
4 supported
The date and time when the job was created
4 supported
The name of the job
6 supported
Raw data returned from the remote API call.
The date and time when the job started
6 supported
The status of the job - queued, in_progress, completed or the raw response from the API
6 supported
The date and time when the job was last updated
3 supported
curl -X GET 'https://api.truto.one/unified/ci-cd/jobs?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ci-cd/jobs?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ci-cd/jobs"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ci-cd',
'jobs',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ci-cd",
"jobs",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())